Subject: Re: [PATCH 1/6] meson: simplify and parameterize various standard function checks

From: Junio C Hamano <[email-masked]>
Date: Mon, 21 Apr 2025 17:33:48 -0700

Eli Schwartz <[email-masked]> writes:

> On 4/21/25 1:51 PM, Eli Schwartz wrote:
>> This is repetitive logic. We either want to use some -lc function, or if
>> it is not available we define it as -DNO_XXX and usually (but not
>> always) provide some custom compatibility impl instead.
>> 
>> Checking the intent of each block when reading through the file is slow
>> and not very DRY. Switch to taking an array of checkable functions
>> instead.
>> 
>> Not all functions are straightforward to move, since different macro
>> prefixes are used.
>
>
> By the way, when reviewing this I was having a slightly hard time
> figuring out which stuff belonged here... specifically, because of the
> differences in macro prefixes lead me to believe it's not always so
> simple as "does it exist".

As there are non-zero number of meson related topics in flight, I'd
like to know where this new series is meant to apply, if you need
some of them before we can apply it, and what is the overall goal
this series has ("there is no theme, they are just random set of
changes to do such and such things" is perfectly acceptable answer).

And the best place to describe these things is in the cover letter
[PATCH 0/6] of the series.

Thanks.